From: "Georgy Yakovlev" <gyakovlev@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/bear/
Date: Sat, 3 Jul 2021 20:38:36 +0000 (UTC) [thread overview]
Message-ID: <1625344700.e9a0a3ebd3fe37abed9a998112e7968797b05aeb.gyakovlev@gentoo> (raw)
commit: e9a0a3ebd3fe37abed9a998112e7968797b05aeb
Author: Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 3 20:38:20 2021 +0000
Commit: Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Sat Jul 3 20:38:20 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e9a0a3eb
dev-util/bear: add 3.0.13
Signed-off-by: Georgy Yakovlev <gyakovlev <AT> gentoo.org>
dev-util/bear/Manifest | 1 +
dev-util/bear/bear-3.0.13.ebuild | 87 ++++++++++++++++++++++++++++++++++++++++
2 files changed, 88 insertions(+)
diff --git a/dev-util/bear/Manifest b/dev-util/bear/Manifest
index 2f6afc2a104..a95b698b433 100644
--- a/dev-util/bear/Manifest
+++ b/dev-util/bear/Manifest
@@ -1,3 +1,4 @@
DIST bear-2.4.4.tar.gz 50347 BLAKE2B 73fa332cf97413e55c588f8830806a26c6905299af902c6cf1f39fd576c6261690239c1b502b28b5a2aa24e5ca521c3f1dd58aacd60e00ece4fe1840f5656155 SHA512 4ee3fd5c846149029fe9e4104e2a0d0e318a15215aa80fc5dc376e22ebea510384b02d4d62765495343cab537bacd2b1b0130c00246e081feb4e543761a594e5
DIST bear-3.0.11.tar.gz 118678 BLAKE2B 209d904a84363a87e566798dcd65ffed96cdbf3d2e753af8dc2706adb995d2999bc112eabb88db28791cbb245c373eb330cf9c20d3d886bb2caeb5c01150e65d SHA512 6d362aede911a8ad35be30638a698579582ca5de770a7c3199bb205046f08f355387099261b8d857188d526ab62024f78e3d06a225734c5f9acca03e5dfea1ec
DIST bear-3.0.12.tar.gz 118937 BLAKE2B 4ed41693a92583091b8510dd1ade55a3e5c897825205e59d9e9810aa63e5f17c5049b3b3de509665143083d44aeb6d85c63d944041bb36c6b1d842d0308d88f0 SHA512 e45e842793e9f5f2cd6b13a9795c2b6753c2fffd516e4af9f0362644c9d0952a2b0e505a4a9d53e9a1a4aa063d7368c6466367a78fececb70582ec7c4e8d7f10
+DIST bear-3.0.13.tar.gz 120488 BLAKE2B 9159858110afc45f4888a294325be8609bdcb78a2421dbb8ae4b5109cbea80a06d907e961c398cf011025d93d8d1cceec640ce12d613fd80d38d8f06532305db SHA512 1c515d5941870b9bc76fa85d02229ace85653c6f985e00a8fa9e2f17ba9079d162d654a17024394819a7ae203167253641a3d7c17c490e49e30fa92d434e6a6e
diff --git a/dev-util/bear/bear-3.0.13.ebuild b/dev-util/bear/bear-3.0.13.ebuild
new file mode 100644
index 00000000000..97791cb96b0
--- /dev/null
+++ b/dev-util/bear/bear-3.0.13.ebuild
@@ -0,0 +1,87 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit cmake python-any-r1
+
+DESCRIPTION="Build EAR generates a compilation database for clang tooling"
+HOMEPAGE="https://github.com/rizsotto/Bear"
+SRC_URI="https://github.com/rizsotto/Bear/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+IUSE="test"
+
+RDEPEND="
+ >=dev-cpp/nlohmann_json-3.7:=
+ >=dev-db/sqlite-3.14:=
+ >=dev-libs/libfmt-6.2:=
+ dev-libs/protobuf:=
+ >=dev-libs/spdlog-1.5
+ >=net-libs/grpc-1.26:=
+"
+
+DEPEND="${RDEPEND}
+ test? (
+ >=dev-cpp/gtest-1.10
+ )
+"
+
+BDEPEND="test? (
+ $(python_gen_any_dep '
+ dev-python/lit[${PYTHON_USEDEP}]
+ ')
+)"
+
+RESTRICT="!test? ( test )"
+
+S="${WORKDIR}/${P^}"
+
+pkg_setup() {
+ use test && python-any-r1_pkg_setup
+}
+
+src_prepare() {
+ cmake_src_prepare
+ # Turn off testing before installation
+ sed -i 's/TEST_BEFORE_INSTALL/TEST_EXCLUDE_FROM_MAIN/g' CMakeLists.txt || die
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DENABLE_UNIT_TESTS="$(usex test ON OFF)"
+ -DENABLE_FUNC_TESTS="$(usex test ON OFF)"
+ )
+ cmake_src_configure
+}
+
+src_test() {
+ if has sandbox ${FEATURES}; then
+ ewarn "\'FEATURES=sandbox\' detected"
+ ewarn "Bear overrides LD_PRELOAD and conflicts with gentoo sandbox"
+ ewarn "Skipping tests"
+ elif
+ has usersandbox ${FEATURES}; then
+ ewarn "\'FEATURES=usersandbox\' detected"
+ ewarn "Skipping tests"
+ elif
+ has network-sandbox ${FEATURES}; then
+ ewarn "\'FEATURES=network-sandbox\' detected"
+ ewarn "Skipping tests"
+ elif
+ has_version -b 'sys-devel/gcc-config[-native-symlinks]'; then
+ ewarn "\'sys-devel/gcc-config[-native-symlinks]\' detected, tests call /usr/bin/cc directly (hardcoded)"
+ ewarn "and will fail without generic cc symlink"
+ ewarn "Skipping tests"
+ else
+ einfo "test may use optional tools if found: qmake gfortran valgrind"
+ # unit tests
+ cmake_run_in "${BUILD_DIR}/subprojects/Build/BearSource" ctest --verbose
+ # functional tests
+ cmake_run_in "${BUILD_DIR}/subprojects/Build/BearTest" ctest --verbose
+ fi
+}
next reply other threads:[~2021-07-03 20:38 UTC|newest]
Thread overview: 55+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-07-03 20:38 Georgy Yakovlev [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-11 20:54 [gentoo-commits] repo/gentoo:master commit in: dev-util/bear/ Andreas Sturmlechner
2024-12-31 4:57 Sam James
2024-12-31 3:19 Jakov Smolić
2024-11-18 9:07 Petr Vaněk
2024-11-18 9:07 Petr Vaněk
2024-09-14 9:53 Florian Schmaus
2024-09-13 19:33 Arthur Zamarin
2024-09-13 19:33 Arthur Zamarin
2024-08-13 13:05 Joonas Niilola
2024-07-03 5:30 Joonas Niilola
2024-05-12 15:41 Sam James
2024-05-12 15:41 Sam James
2024-04-01 7:14 Sam James
2024-03-16 13:34 Joonas Niilola
2023-09-15 6:06 Sam James
2023-07-07 10:14 Sam James
2023-07-07 4:40 Sam James
2023-06-06 6:41 Sam James
2023-04-25 14:56 Arthur Zamarin
2023-02-16 5:52 WANG Xuerui
2023-02-07 2:59 Sam James
2022-12-21 23:09 Sam James
2022-11-10 7:58 Sam James
2022-10-22 11:26 Yixun Lan
2022-07-06 19:33 Sam James
2022-07-04 17:56 Georgy Yakovlev
2022-07-04 17:56 Georgy Yakovlev
2022-04-08 5:25 Georgy Yakovlev
2021-12-24 12:08 Georgy Yakovlev
2021-12-24 12:08 Georgy Yakovlev
2021-12-20 4:19 Georgy Yakovlev
2021-10-17 0:03 Georgy Yakovlev
2021-10-12 16:13 Georgy Yakovlev
2021-10-07 5:34 Georgy Yakovlev
2021-07-14 21:27 Georgy Yakovlev
2021-07-04 9:48 Georgy Yakovlev
2021-07-04 9:10 Georgy Yakovlev
2021-07-03 20:40 Georgy Yakovlev
2021-06-23 3:47 Georgy Yakovlev
2021-06-09 6:04 Georgy Yakovlev
2021-06-04 23:15 Georgy Yakovlev
2021-05-07 7:35 Joonas Niilola
2021-05-07 7:35 Joonas Niilola
2021-05-03 17:01 Georgy Yakovlev
2021-04-23 20:06 Georgy Yakovlev
2021-04-23 19:50 Georgy Yakovlev
2021-04-23 5:55 Joonas Niilola
2021-04-22 4:07 Georgy Yakovlev
2021-04-22 4:07 Georgy Yakovlev
2021-04-22 4:07 Georgy Yakovlev
2021-04-06 10:10 Joonas Niilola
2021-04-06 10:08 Joonas Niilola
2020-09-10 22:58 Georgy Yakovlev
2020-07-01 21:23 Georgy Yakovlev
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1625344700.e9a0a3ebd3fe37abed9a998112e7968797b05aeb.gyakovlev@gentoo \
--to=gyakovlev@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox